Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Interface XMLAccessor

All Known Implementing Classes:
  XMLFileAccessor

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public interface XMLAccessor

This interface defines methods needed for `Accessor` in the XML context.

Since:
  TOPLink/Java 3.0

Method Summary
`DatabaseRow` | `convert(DatabaseRow row, Session session)` Deprecated. Everything in XML must be strings.
`void` | `createStreamSource(java.lang.String rootElementName)` Deprecated. Create a source for data streams for the XML documents with the specified root element name.
`java.lang.Integer` | `deleteStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements)` Deprecated. Delete the data for the specified root element and primary key.
`void` | `dropStreamSource(java.lang.String rootElementName)` Deprecated. Drop the source for data streams for the XML documents with the specified root element name.
`java.io.Reader` | `getExistenceCheckStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements)` Deprecated. If it exists, return a read stream on the data for the specified root element and primary key.
`java.io.Writer` | `getExistingWriteStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements)` Deprecated. Return a write stream that will overwrite the data for the specified root element and primary key.
`java.io.Writer` | `getNewWriteStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements)` Deprecated. Return a new write stream for the specified root element and primary key.
`java.io.Reader` | `getReadStream(java.lang.String rootElementName, DatabaseRow row, java.util.Vector orderedPrimaryKeyElements)` Deprecated. Return a read stream on the data for the specified root element and primary key.
`java.util.Enumeration` | `getReadStreams(java.lang.String rootElementName)` Deprecated. Return an enumeration on a collection of read streams, one for *every* document with the specified root element.
`java.util.Enumeration` | `getReadStreams(java.lang.String rootElementName, java.util.Vector foreignKeys, java.util.Vector orderedForeignKeyElements)` Deprecated. Return an enumeration on a collection of streams, one for every specified foreign key.
`XMLTranslator` | `getXMLTranslator()` Deprecated. Return the default XML translator for all data store calls.
`void` | `setXMLTranslator(XMLTranslator translator)` Deprecated. Set the default XML translator for all data store calls.

Method Detail

### convert

    public DatabaseRow convert(DatabaseRow row,
                               Session session)

  Deprecated.
  Everything in XML must be strings.

### createStreamSource

    public void createStreamSource(java.lang.String rootElementName)
                            throws XMLDataStoreException

  Deprecated.
  Create a source for data streams for the XML documents with the specified root element name.
  Throws:
    `XMLDataStoreException`

### deleteStream

    public java.lang.Integer deleteStream(java.lang.String rootElementName,
                                          DatabaseRow row,
                                          java.util.Vector orderedPrimaryKeyElements)
                                   throws XMLDataStoreException

  Deprecated.
  Delete the data for the specified root element and primary key. Return the stream count (1 or 0).
  Throws:
    `XMLDataStoreException`

### dropStreamSource

    public void dropStreamSource(java.lang.String rootElementName)
                          throws XMLDataStoreException

  Deprecated.
  Drop the source for data streams for the XML documents with the specified root element name.
  Throws:
    `XMLDataStoreException`

### getExistenceCheckStream

    public java.io.Reader getExistenceCheckStream(java.lang.String rootElementName,
                                                  DatabaseRow row,
                                                  java.util.Vector orderedPrimaryKeyElements)
                                           throws XMLDataStoreException

  Deprecated.
  If it exists, return a read stream on the data for the specified root element and primary key. If it does not exist, return null.
  Throws:
    `XMLDataStoreException`

### getExistingWriteStream

    public java.io.Writer getExistingWriteStream(java.lang.String rootElementName,
                                                 DatabaseRow row,
                                                 java.util.Vector orderedPrimaryKeyElements)
                                          throws XMLDataStoreException

  Deprecated.
  Return a write stream that will overwrite the data for the specified root element and primary key.
  Throws:
    `XMLDataStoreException`

### getNewWriteStream

    public java.io.Writer getNewWriteStream(java.lang.String rootElementName,
                                            DatabaseRow row,
                                            java.util.Vector orderedPrimaryKeyElements)
                                     throws XMLDataStoreException

  Deprecated.
  Return a new write stream for the specified root element and primary key.
  Throws:
    `XMLDataStoreException`

### getReadStream

    public java.io.Reader getReadStream(java.lang.String rootElementName,
                                        DatabaseRow row,
                                        java.util.Vector orderedPrimaryKeyElements)
                                 throws XMLDataStoreException

  Deprecated.
  Return a read stream on the data for the specified root element and primary key. If the stream is not found return null.
  Throws:
    `XMLDataStoreException`

### getReadStreams

    public java.util.Enumeration getReadStreams(java.lang.String rootElementName)
                                         throws XMLDataStoreException

  Deprecated.
  Return an enumeration on a collection of read streams, one for *every* document with the specified root element.
  Throws:
    `XMLDataStoreException`

### getReadStreams

    public java.util.Enumeration getReadStreams(java.lang.String rootElementName,
                                                java.util.Vector foreignKeys,
                                                java.util.Vector orderedForeignKeyElements)
                                         throws XMLDataStoreException

  Deprecated.
  Return an enumeration on a collection of streams, one for every specified foreign key. If a particular stream is not found the enumeration will return null in its place.
  Throws:
    `XMLDataStoreException`

### getXMLTranslator

    public XMLTranslator getXMLTranslator()

  Deprecated.
  Return the default XML translator for all data store calls.

### setXMLTranslator

    public void setXMLTranslator(XMLTranslator translator)

  Deprecated.
  Set the default XML translator for all data store calls.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD